Bug 826031 - [eap6] notify user reload/restart is required is broken
[eap6] notify user reload/restart is required is broken
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On: 826008
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-29 08:23 EDT by Heiko W. Rupp
Modified: 2013-09-03 11:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 826008
Environment:
Last Closed: 2013-09-03 11:03:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-05-29 08:23:15 EDT
Port over the fix from master: 74bef966894



+++ This bug was initially created as a clone of Bug #826008 +++

Description of problem: When doing configuration changes to EAP6 user needs to be notified when EAP requires server reload.


Version-Release number of selected component (if applicable):
JON 3.1.ER6 EAP6.ER8

How reproducible:always 


Steps to Reproduce:
1.Force EAP to start sending "restart-required" response header (using CLI run :server-set-restart-required)
2. Check 'Configuration' tab of any server's child resource, yellow box signaling server reload should appear

1.Force EAP to start sending "reload-required" response header (Change configuration for mailSession resource)
2. Check 'Configuration' tab of any server's child resource, yellow box signaling server reload should appear 

Actual results:

Plugin does not signal either "reload-required" or "restart-required" response header

Expected results: our plugin should check "reload-required" and "restart-required" reponse-headers


Additional info:

--- Additional comment from hrupp@redhat.com on 2012-05-29 08:17:34 EDT ---

restart is required - we were so far only reacting on reload-required

master 74bef966894fb0f
Comment 1 Heiko W. Rupp 2012-05-29 08:48:02 EDT
release branch: fb7b5e0ea0131
Comment 2 Libor Zoubek 2012-06-05 03:50:09 EDT
verified on JON 3.1.CR1
Comment 3 Heiko W. Rupp 2013-09-03 11:03:00 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.